VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IFocusDrawing Class Referenceabstract
New classes » Version 4.0

Custom focus drawing interface. More...

`#include <ifocusdrawing.h>`

Inheritance diagram for IFocusDrawing:

## Public Member Functions
virtual | ~IFocusDrawing () noexcept=default
virtual bool | drawFocusOnTop ()=0
| draw focus before view will be drawn or afterwards
virtual bool | getFocusPath (CGraphicsPath &outPath)=0
| the graphics path will be drawn filled with the evenodd method and the color set in CFrame::setFocusColor()

## Detailed Description

Custom focus drawing interface.

If focus drawing is enabled custom views can implement this interface to set a custom shape to be drawn if the view is the focus view.

See also
  CFrame
  CControl

## Constructor & Destructor Documentation

## ◆ ~IFocusDrawing()

virtual ~IFocusDrawing | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

## ◆ drawFocusOnTop()

virtual bool drawFocusOnTop | ( |  | ) |
| pure virtual

draw focus before view will be drawn or afterwards

Implemented in CControl, CKnob, CListControl, CSegmentButton, and CTextButton.

## ◆ getFocusPath()

virtual bool getFocusPath | ( | CGraphicsPath & | outPath | ) |
| pure virtual

the graphics path will be drawn filled with the evenodd method and the color set in CFrame::setFocusColor()

Implemented in CCheckBox, CControl, CKnob, CListControl, CParamDisplay, CSegmentButton, and CTextButton.

The documentation for this class was generated from the following file:

- ifocusdrawing.h